# FoundationClasses
TKernel
Units

# Units_SequenceNodeOfTksSequence Class Reference

`#include <Units_SequenceNodeOfTksSequence.hxx>`

Inheritance diagram for Units_SequenceNodeOfTksSequence:

[legend]

## Public Member Functions

| Units_SequenceNodeOfTksSequence (const Handle(Units_Token)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_Units_Token & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Units_Token | myValue

## Constructor & Destructor Documentation

Units_SequenceNodeOfTksSequence::Units_SequenceNodeOfTksSequence | ( | const Handle(Units_Token)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const Units_SequenceNodeOfTksSequence::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Handle_Units_Token& Units_SequenceNodeOfTksSequence::Value | ( |  | ) | const

## Field Documentation

Handle_Units_Token Units_SequenceNodeOfTksSequence::myValue `[private]`

The documentation for this class was generated from the following file:

- Units_SequenceNodeOfTksSequence.hxx